Package org.apache.velocity.runtime.parser.node

# Class MapGetExecutor

java.lang.Object
org.apache.velocity.runtime.parser.node.AbstractExecutor
org.apache.velocity.runtime.parser.node.MapGetExecutor

public class MapGetExecutor extends AbstractExecutor
GetExecutor that is smart about Maps. If it detects one, it does not use Reflection but a cast to access the getter.

Since:
  1.5
Version:
  $Id$
Author:
  Henning P. Schmiedehausen

## Field Summary

### Fields inherited from class org.apache.velocity.runtime.parser.node.AbstractExecutor

`log`

## Constructor Summary

Constructors
Constructor
Description
`MapGetExecutor(org.slf4j.Logger log, Object object, String property)`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`discover(Object object)`
`Object`
`execute(Object o)`
Execute method against context.
`Method`
`getMethod()`
`boolean`
`isAlive()`
Tell whether the executor is alive by looking at the value of the method.

### Methods inherited from class org.apache.velocity.runtime.parser.node.AbstractExecutor

`setMethod`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MapGetExecutor

public MapGetExecutor(org.slf4j.Logger log, Object object, String property)

## Method Details

### getMethod

public Method getMethod()

Overrides:
  `getMethod` in class `AbstractExecutor`
Returns:
  The current method.

### isAlive

public boolean isAlive()
Description copied from class: `AbstractExecutor`
Tell whether the executor is alive by looking at the value of the method.

Overrides:
  `isAlive` in class `AbstractExecutor`
Returns:
  True if executor is alive.

### discover

protected boolean discover(Object object)

### execute

public Object execute(Object o)
Description copied from class: `AbstractExecutor`
Execute method against context.

Specified by:
  `execute` in class `AbstractExecutor`
Parameters:
  `o` -
Returns:
  The resulting object.